XISUITEDokumentation

Resolutions

7 Endpunkte. Basis-URL: https://xapi.ambertech.cloud/api/v1

List resolutions for the org#

GET/resolutionsToken

Antworten

  • 200Resolutions returned
Beispiel (cURL)
curl -X GET "https://xapi.ambertech.cloud/api/v1/resolutions" \
  -H "Authorization: Bearer $XISUITE_TOKEN"

Create a resolution#

POST/resolutionsToken

Request-Bodyapplication/jsonCreateResolutionDto

NameTypBeschreibung
namePflichtstring

Beispiel: Fixed

keyPflichtstring

Beispiel: fixed

descriptionstring–
sort_ordernumber

Beispiel: 0

is_activeboolean

Standard: true

Antworten

  • 201Resolution created
Beispiel (cURL)
curl -X POST "https://xapi.ambertech.cloud/api/v1/resolutions" \
  -H "Authorization: Bearer $XISUITE_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"name":"Fixed","key":"fixed"}'

Get a resolution by ID#

GET/resolutions/{id}Token

Parameter

NameOrtTypBeschreibung
idPflichtPfadstring–

Antworten

  • 200Resolution returned
Beispiel (cURL)
curl -X GET "https://xapi.ambertech.cloud/api/v1/resolutions/{id}" \
  -H "Authorization: Bearer $XISUITE_TOKEN"

Update a resolution#

PUT/resolutions/{id}Token

Parameter

NameOrtTypBeschreibung
idPflichtPfadstring–

Request-Bodyapplication/jsonUpdateResolutionDto

NameTypBeschreibung
namestring–
descriptionstring–
sort_ordernumber–
is_activeboolean–

Antworten

  • 200Resolution updated
Beispiel (cURL)
curl -X PUT "https://xapi.ambertech.cloud/api/v1/resolutions/{id}" \
  -H "Authorization: Bearer $XISUITE_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"name":"…","description":"…","sort_order":0}'

Delete a resolution#

DELETE/resolutions/{id}Token

Parameter

NameOrtTypBeschreibung
idPflichtPfadstring–

Antworten

  • 200Resolution deleted
Beispiel (cURL)
curl -X DELETE "https://xapi.ambertech.cloud/api/v1/resolutions/{id}" \
  -H "Authorization: Bearer $XISUITE_TOKEN"

Set a resolution as the default#

PATCH/resolutions/{id}/set-defaultToken

Parameter

NameOrtTypBeschreibung
idPflichtPfadstring–

Antworten

  • 200Default resolution set
Beispiel (cURL)
curl -X PATCH "https://xapi.ambertech.cloud/api/v1/resolutions/{id}/set-default" \
  -H "Authorization: Bearer $XISUITE_TOKEN"

Bulk reorder resolutions#

PATCH/resolutions/reorderToken

Request-Bodyapplication/jsonReorderResolutionsDto

NameTypBeschreibung
itemsPflichtReorderItemDto[]–

Antworten

  • 200Resolutions reordered
Beispiel (cURL)
curl -X PATCH "https://xapi.ambertech.cloud/api/v1/resolutions/reorder" \
  -H "Authorization: Bearer $XISUITE_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"items":[]}'
Stand: 25. Oktober 2026© 2026 XISUITE · AmberTech Solutions